body{
    background-color: #F2F0F0;
}

.home-blog {
    padding-top: 130px; 
    padding-bottom: 40px; 
    text-align: center;
    position: relative;
    background-size: cover;
    background-position: center;
}
.home-blog .container-geral {
    text-align: left;
    padding: 25px; 
    line-height: 1;
    position: relative;
    z-index: 2;
}
.home-blog h1 {
    font-family: 'Cormorant Infant', Times, serif;
    font-size: 1.7rem; 
    font-style: italic;
    font-weight: 800;
    color: #fff;
    text-shadow: 0 2px 4px rgba(0,0,0,0.4);
    margin-bottom: 10px;
    overflow-wrap: break-word;
}
.home-blog p {
    font-family: "Nunito Sans", sans-serif;
    font-size: 0.95rem; 
    font-style: italic;
    color: #ffffff; 
    text-shadow: 0 1px 3px rgba(0,0,0,0.3);
    overflow-wrap: break-word; 
}
.bg-blog::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(50, 50, 50, 0.575);
    z-index: 1;
}
.pagina-blog-container {
    margin: 0 auto;
    padding: 20px 15px; 
}
.blog-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); 
    gap: 20px;
    justify-items: center;
}
.card-artigo-blog {
    background-color: #ececec;
    border-radius: 5px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    display: flex;
    flex-direction: column; 
    padding: 20px;
}
.card-artigo-blog:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
}
.card-blog-link {
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    height: 100%; 
}
.card-blog-imagem img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    display: block;
    border-radius: 10px;
}
.card-blog-conteudo {
    padding: 25px;
    display: flex;
    flex-direction: column;
    flex-grow: 1; 
}
.card-blog-titulo {
    font-family: 'Cormorant Upright', Times, serif;
    font-size: 1rem;
    color: #000000;
    margin: 0 0 5px 0;
    text-align: center;
}
.card-blog-resumo {
    font-family: "Nunito Sans", sans-serif;
    font-size: 0.85rem;
    color: #000000;
    line-height: 1.6;
    flex-grow: 1; 
    margin-bottom: 20px;
    border-top: 1.6px solid #2c3e50a5; 
    padding-top: 15px;
}
.card-blog-botao {
    align-self: center;
    flex-shrink: 0;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-family: "Cormorant Infant", sans-serif;
    font-size: 1rem; 
    color: #fff;
    background-color: #2C3E50; 
    padding: 9px 10px;
    border-radius: 25px;
    transition: all 0.3s ease;
}
.card-blog-botao:hover {
    background-color: #12549b;
}
.card-blog-botao img {
    width: 12px;
    transition: transform 0.3s ease;
}
.card-blog-botao:hover img {
    transform: translateX(4px); 
}